# DeHealthInsuranceCardFront class

Front side of the German health insurance card (elektronische Gesundheitskarte). For the backside, see EuropeanHealthInsuranceCard.

Inheritance
  - Object
  - GenericDocumentWrapper
  - DeHealthInsuranceCardFront

## Constructors

DeHealthInsuranceCardFront.new(GenericDocument document)

## Properties

cardAccessNumber → TextFieldWrapper?
  Six digit card access number
  no setter
document → GenericDocument
  final inherited
hashCode → int
  The hash code for this object.
  no setter inherited
issuerName → TextFieldWrapper
  Issuer name
  no setter
issuerNumber → TextFieldWrapper
  Issuer number (Versicherung bzw. Kennnummer des Trägers)
  no setter
name → TextFieldWrapper
  Full name with title
  no setter
personalNumber → TextFieldWrapper
  Personal number (Versichertennummer)
  no setter
requiredDocumentType → String
  no setter override
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited

## Constants

DOCUMENT_NORMALIZED_TYPE → const String
  Normalized document type name of this document wrapper.
DOCUMENT_TYPE → const String
  Generic document type name of this document wrapper.